<?php
/**
 *
 * @package LZ Restaurant Premium
 */
?>
<?php $showContent = get_theme_mod('premium_slider_show_content', 'off'); ?>
<div id="ht-home-slider-section">
	<?php 
		if( get_theme_mod('slider_opacity',true) ) {
            $slider_opacity = 'opacity:'.esc_attr(get_theme_mod('slider_opacity')).';';
        }
	?>
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'lz_fitness_slider', 'orderby'   => 'id', 'order' => 'DESC', );
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'View Catalogue';
				}
				?>
				<div class="ht-slide">

					<div class="ht-slide-overlay"  style="<?php echo esc_attr($slider_opacity); ?>"></div>
					<?php 
					if(has_post_thumbnail()){
						$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
						echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
					}
					if($showContent == 'off'){
					?>
						<div class="ht-slide-caption">
							<div class="ht-slide-cap-title animated fadeInDown">
								<span><?php echo(get_the_title()); ?></span>
							</div>
							<div class="ht-slide-cap-desc animated fadeInDown">
								<?php echo(get_the_content()); ?>
							</div>
							<?php 
							if(!empty($pageLink)){ ?>
							<div class="ht-slide-cap-readmore animated fadeInDown">
								<a href="<?php echo $pageLink; ?>"><?php echo ($pageLinkTxt); ?></a>
							</div>
							<?php }?>
						</div>
					<?php }?>
				</div>
				<?php
			endwhile;
		}else{ 
			for($i=0;$i<2;$i++){?>
			<div class="ht-slide">
				<div class="ht-slide-overlay"  style="<?php echo esc_attr($slider_opacity); ?>"></div>
				<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/banner.jpg">';?>
				<?php if($showContent == 'off'){?>
				<div class="ht-slide-caption">
					<div class="ht-slide-cap-title animated fadeInDown">Best Test With Us</div>
					<div class="ht-slide-cap-desc animated fadeInDown">Suriem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetiam eget diandit ante. </div>
					<div class="ht-slide-cap-readmore animated fadeInDown">
						<a href="<?php echo $pageLink; ?>"><?php _e( 'Read More', 'lz-fintess-premium' ); ?></a>
					</div>
				</div>
				<?php }?>
			</div>
			<?php }
		}?>
	</div>
</div>
